﻿namespace ProjectAiroplane.Entities;
public class EntityAiroplane : Entityplane
{
    /// <summary>
    /// Дополнительный цвет (для опциональных элементов)
    /// </summary>
    public Color AdditionalColor { get; private set; }
    /// <summary>
    /// Признак (опция) наличия бака
    /// </summary>
    public bool Toplivbak { get; private set; }
    /// <summary>
    /// Признак (опция) наличия радара
    /// </summary>
    public bool Radar { get; private set; }
  
    /// <summary>
    /// Инициализация полей класса 
    /// </summary>
    /// <param name="speed"></скорость>
    /// <param name="weight"></вес>
    /// <param name="bodyColor"></Основной цвет>
    /// <param name="additionalColor"></Дополнительный цвет>
    /// <param name="toplivbak"></ Признак наличия бака>
    /// <param name="radar"></Признак (опция) наличия радара>
    
    public EntityAiroplane(int speed, double weight, Color bodyColor, Color additionalColor, bool toplivbak, bool radar) : base(speed, weight, bodyColor)
    {
        AdditionalColor = additionalColor;
        Toplivbak = toplivbak;
        Radar = radar;
    }
}


